blob: d89657e28b314a2fb275b623a70b342d7344bb92 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rinie0c84c82024-08-21 09:41:20 -060013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20240808-21Aug2024
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rinid2244b92019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Jerome Forissierde134d92024-10-16 12:04:14 +020030 # qemu_arm64_lwip_defconfig is the same as qemu_arm64 but with NET_LWIP enabled.
31 # The test config and the boardenv file from qemu_arm64 can be re-used so create symlinks
32 - ln -s conf.qemu_arm64_na /tmp/uboot-test-hooks/bin/travis-ci/conf.qemu_arm64_lwip_na
Tom Rinid2244b92019-06-19 09:25:17 -040033 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
34 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040035 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
36 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070037 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020038 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
39 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070040 fi
Bin Meng0ae41062021-08-26 23:33:35 +080041 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardt29999e42023-10-25 00:15:43 +020042 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
43 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070044 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040045
Tom Rinid2244b92019-06-19 09:25:17 -040046 after_script:
Tom Rini792dbc32024-06-27 07:43:20 -060047 - cp -v /tmp/${TEST_PY_BD}/*.{html,css,xml} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010048 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040049 script:
Simon Glassda499352020-03-18 09:42:57 -060050 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060051 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060052 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070053 - if [ -n "${BUILD_ENV}" ]; then
54 export ${BUILD_ENV};
55 fi
Simon Glass87c80462020-03-18 09:43:00 -060056 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
57 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020058 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
59 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
60 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020061 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
62 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080063 # create sdcard / spi-nor images for sifive unleashed using genimage
64 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
65 mkdir -p root;
66 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
67 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
70 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 rm -rf tmp;
72 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
73 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
74 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070075 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
Tom Rinid0296f62024-02-13 09:39:27 -050076 cp /opt/coreboot/coreboot.rom ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
77 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom remove -n fallback/payload;
78 /opt/coreboot/cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
Simon Glass13e1fa02022-01-21 10:23:01 -070079 fi
Tom Riniebcd2142019-10-24 11:59:27 -040080 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060083 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060084 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040085 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020086 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060087 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060088 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Tom Rini792dbc32024-06-27 07:43:20 -060089 --junitxml=/tmp/${TEST_PY_BD}/results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010090 artifacts:
91 when: always
92 paths:
93 - "*.html"
94 - "*.css"
Tom Rini792dbc32024-06-27 07:43:20 -060095 reports:
96 junit: results.xml
Marek Vasutc1a44de2023-03-03 02:22:25 +010097 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040098
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020099.world_build:
Tom Rinid2244b92019-06-19 09:25:17 -0400100 stage: world build
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200101 rules:
102 - when: always
103
104build all 32bit ARM platforms:
105 extends: .world_build
Tom Rinid2244b92019-06-19 09:25:17 -0400106 script:
107 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500108 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530109 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700110 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600111 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600112 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400113 exit $ret;
114 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400115
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200116build all 64bit ARM platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200117 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400118 script:
Tom Rini6c883102020-02-11 12:41:14 -0500119 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400120 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400121 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500122 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530123 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700124 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600125 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600126 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400127 exit $ret;
128 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400129
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200130build all PowerPC platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200131 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400132 script:
133 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500134 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600135 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
136 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600137 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400138 exit $ret;
139 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400140
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200141build all other platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200142 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400143 script:
144 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500145 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700146 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600147 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600148 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400149 exit $ret;
150 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400151
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200152.testsuites:
Tom Rinibdfa3762021-12-14 13:36:41 -0500153 stage: testsuites
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200154 rules:
155 - when: always
156
157check for new CONFIG symbols outside Kconfig:
158 extends: .testsuites
Tom Rinibdfa3762021-12-14 13:36:41 -0500159 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500160 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
161 # If grep succeeds and finds a match the test fails as we should
162 # have no matches.
163 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500164 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
Raymond Maodc520542024-10-03 14:50:14 -0700165 :^include/linux/kconfig.h :^tools/ :^dts/upstream/
166 :^lib/mbedtls/external :^lib/mbedtls/mbedtls_def_config.h &&
Sumit Garg8d814682024-02-22 15:05:57 +0530167 exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500168
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100169# build documentation
170docs:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200171 extends: .testsuites
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100172 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100173 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
174 - . /tmp/venvhtml/bin/activate
175 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200176 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100177 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100178
Tom Rinid2244b92019-06-19 09:25:17 -0400179# ensure all configs have MAINTAINERS entries
180Check for configs without MAINTAINERS entry:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200181 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400182 script:
Tom Rinica00ac62023-10-23 11:37:47 -0400183 - ./tools/buildman/buildman --maintainer-check
Tom Rinid2244b92019-06-19 09:25:17 -0400184
185# Ensure host tools build
Tom Rini8244f002023-08-20 13:31:28 -0400186Build tools-only and envtools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200187 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400188 script:
Tom Rini8244f002023-08-20 13:31:28 -0400189 - make tools-only_config tools-only -j$(nproc);
190 make mrproper;
191 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200192
Tom Rini0b3e0c42020-03-11 18:11:15 -0400193Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200194 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400195 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400196 - git config --global user.name "GitLab CI Runner";
197 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400198 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400199 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500200 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400201 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500202 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530203 pip install -r tools/buildman/requirements.txt;
Tom Rini08086922023-08-10 12:52:24 -0400204 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rini0b6e1032019-08-12 10:09:08 -0400205 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
206 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400207 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300208 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400209 --board tools-only;
Tom Rinid1ed4462022-08-09 21:08:54 -0400210 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400211 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
212 ./tools/buildman/buildman -t;
213 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600214 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400215 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400216
Simon Glassf6903262022-02-11 13:23:26 -0700217# Check for any pylint regressions
218Run pylint:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200219 extends: .testsuites
Simon Glassf6903262022-02-11 13:23:26 -0700220 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400221 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700222 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530223 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400224 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700225 - export PATH=${PATH}:~/.local/bin
226 - echo "[MASTER]" >> .pylintrc
227 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini08086922023-08-10 12:52:24 -0400228 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400229 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700230 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400231 --board tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400232 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700233 - pylint --version
234 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
235 - make pylint_err
236
Simon Glassf96763a2023-02-13 08:56:39 -0700237# Check for pre-schema driver model tags
238Check for pre-schema tags:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200239 extends: .testsuites
Simon Glassf96763a2023-02-13 08:56:39 -0700240 script:
241 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
242 # If grep succeeds and finds a match the test fails as we should
243 # have no matches.
244 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
245
Simon Glass5dd13b92023-02-23 18:18:24 -0700246# Check we can package the Python tools
247Check packing of Python tools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200248 extends: .testsuites
Simon Glass5dd13b92023-02-23 18:18:24 -0700249 script:
250 - make pip
251
Tom Rinid2244b92019-06-19 09:25:17 -0400252# Test sandbox with test.py
253sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400254 variables:
255 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400256 <<: *buildman_and_testpy_dfn
257
Tom Rini99a1bb32019-11-06 19:30:47 -0500258sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500259 variables:
260 TEST_PY_BD: "sandbox"
Tom Rinie752a3a2024-03-10 15:59:28 -0400261 OVERRIDE: "-O clang-17"
Tom Rini99a1bb32019-11-06 19:30:47 -0500262 <<: *buildman_and_testpy_dfn
263
Marek Vasut36bdb592023-09-01 10:48:10 +0200264sandbox64 test.py:
265 variables:
266 TEST_PY_BD: "sandbox64"
267 <<: *buildman_and_testpy_dfn
268
269sandbox64 with clang test.py:
270 variables:
271 TEST_PY_BD: "sandbox64"
Tom Rinie752a3a2024-03-10 15:59:28 -0400272 OVERRIDE: "-O clang-17"
Marek Vasut36bdb592023-09-01 10:48:10 +0200273 <<: *buildman_and_testpy_dfn
274
Tom Rinid2244b92019-06-19 09:25:17 -0400275sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400276 variables:
277 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600278 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400279 <<: *buildman_and_testpy_dfn
280
Simon Glass492f0b02021-03-15 17:25:34 +1300281sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300282 variables:
283 TEST_PY_BD: "sandbox_noinst"
284 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
285 <<: *buildman_and_testpy_dfn
286
Sean Andersonf65dcc02023-10-14 16:47:59 -0400287sandbox_noinst with LOAD_FIT_FULL test.py:
288 variables:
289 TEST_PY_BD: "sandbox_noinst"
290 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
291 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
292 <<: *buildman_and_testpy_dfn
293
Simon Glassa2a4eea2022-04-30 00:56:57 -0600294sandbox_vpl test.py:
295 variables:
296 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200297 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600298 <<: *buildman_and_testpy_dfn
299
Simon Glassc2f01902023-01-15 14:16:00 -0700300# Enable tracing and disable LTO, to ensure functions are not elided
301sandbox trace_test.py:
302 variables:
303 TEST_PY_BD: "sandbox"
304 BUILD_ENV: "FTRACE=1 NO_LTO=1"
305 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu0c3783e2023-08-22 23:10:02 +0530306 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glassc2f01902023-01-15 14:16:00 -0700307 <<: *buildman_and_testpy_dfn
308
Tom Rini0008b882019-07-17 16:06:57 -0400309evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400310 variables:
311 TEST_PY_BD: "evb-ast2500"
Tom Rini5692b9c2024-10-15 12:28:26 -0600312 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini0008b882019-07-17 16:06:57 -0400313 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400314 <<: *buildman_and_testpy_dfn
315
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930316evb-ast2600 test.py:
317 variables:
318 TEST_PY_BD: "evb-ast2600"
Tom Rini5692b9c2024-10-15 12:28:26 -0600319 TEST_PY_TEST_SPEC: "not sleep"
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930320 TEST_PY_ID: "--id qemu"
321 <<: *buildman_and_testpy_dfn
322
Tom Rinid2244b92019-06-19 09:25:17 -0400323sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400324 variables:
325 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400326 <<: *buildman_and_testpy_dfn
327
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200328vexpress_ca9x4 test.py:
329 variables:
330 TEST_PY_BD: "vexpress_ca9x4"
Tom Rini5692b9c2024-10-15 12:28:26 -0600331 TEST_PY_TEST_SPEC: "not sleep"
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200332 TEST_PY_ID: "--id qemu"
333 <<: *buildman_and_testpy_dfn
334
Tom Rinid2244b92019-06-19 09:25:17 -0400335integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400336 variables:
337 TEST_PY_BD: "integratorcp_cm926ejs"
338 TEST_PY_TEST_SPEC: "not sleep"
339 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400340 <<: *buildman_and_testpy_dfn
341
342qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400343 variables:
344 TEST_PY_BD: "qemu_arm"
345 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400346 <<: *buildman_and_testpy_dfn
347
348qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400349 variables:
350 TEST_PY_BD: "qemu_arm64"
351 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400352 <<: *buildman_and_testpy_dfn
353
Jerome Forissierde134d92024-10-16 12:04:14 +0200354qemu_arm64_lwip test.py:
355 variables:
356 TEST_PY_BD: "qemu_arm64_lwip"
357 TEST_PY_TEST_SPEC: "test_net_dhcp or test_net_ping or test_net_tftpboot"
358 <<: *buildman_and_testpy_dfn
359
Marek Vasut07240eb2023-03-23 01:22:41 +0100360qemu_m68k test.py:
361 variables:
362 TEST_PY_BD: "M5208EVBE"
363 TEST_PY_ID: "--id qemu"
364 TEST_PY_TEST_SPEC: "not sleep and not efi"
365 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
366 <<: *buildman_and_testpy_dfn
367
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200368qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200369 variables:
370 TEST_PY_BD: "malta"
371 TEST_PY_TEST_SPEC: "not sleep and not efi"
372 TEST_PY_ID: "--id qemu"
373 <<: *buildman_and_testpy_dfn
374
375qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200376 variables:
377 TEST_PY_BD: "maltael"
378 TEST_PY_TEST_SPEC: "not sleep and not efi"
379 TEST_PY_ID: "--id qemu"
380 <<: *buildman_and_testpy_dfn
381
382qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200383 variables:
384 TEST_PY_BD: "malta64"
385 TEST_PY_TEST_SPEC: "not sleep and not efi"
386 TEST_PY_ID: "--id qemu"
387 <<: *buildman_and_testpy_dfn
388
389qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200390 variables:
391 TEST_PY_BD: "malta64el"
392 TEST_PY_TEST_SPEC: "not sleep and not efi"
393 TEST_PY_ID: "--id qemu"
394 <<: *buildman_and_testpy_dfn
395
Tom Rinid2244b92019-06-19 09:25:17 -0400396qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400397 variables:
398 TEST_PY_BD: "qemu-ppce500"
399 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400400 <<: *buildman_and_testpy_dfn
401
Bin Mengaeb3ea42020-03-28 07:25:27 -0700402qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700403 variables:
404 TEST_PY_BD: "qemu-riscv32"
405 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700406 <<: *buildman_and_testpy_dfn
407
Tom Rinic8c320e2019-08-02 11:32:37 -0400408qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400409 variables:
410 TEST_PY_BD: "qemu-riscv64"
411 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400412 <<: *buildman_and_testpy_dfn
413
Bin Mengb68d9d62020-03-28 07:25:29 -0700414qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700415 variables:
416 TEST_PY_BD: "qemu-riscv32_spl"
417 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700418 <<: *buildman_and_testpy_dfn
419
420qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700421 variables:
422 TEST_PY_BD: "qemu-riscv64_spl"
423 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700424 <<: *buildman_and_testpy_dfn
425
Tom Rinid2244b92019-06-19 09:25:17 -0400426qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400427 variables:
428 TEST_PY_BD: "qemu-x86"
429 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400430 <<: *buildman_and_testpy_dfn
431
432qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400433 variables:
434 TEST_PY_BD: "qemu-x86_64"
435 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400436 <<: *buildman_and_testpy_dfn
437
Jiaxun Yangacc795b2024-06-18 14:56:11 +0100438qemu-xtensa-dc233c test.py:
439 variables:
440 TEST_PY_BD: "qemu-xtensa-dc233c"
441 TEST_PY_TEST_SPEC: "not sleep and not efi"
442 <<: *buildman_and_testpy_dfn
443
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200444r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200445 variables:
446 TEST_PY_BD: "r2dplus"
Tom Rini5692b9c2024-10-15 12:28:26 -0600447 TEST_PY_TEST_SPEC: "not sleep"
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200448 TEST_PY_ID: "--id i82557c_qemu"
449 <<: *buildman_and_testpy_dfn
450
451r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200452 variables:
453 TEST_PY_BD: "r2dplus"
Tom Rini5692b9c2024-10-15 12:28:26 -0600454 TEST_PY_TEST_SPEC: "not sleep"
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200455 TEST_PY_ID: "--id pcnet_qemu"
456 <<: *buildman_and_testpy_dfn
457
458r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200459 variables:
460 TEST_PY_BD: "r2dplus"
Tom Rini5692b9c2024-10-15 12:28:26 -0600461 TEST_PY_TEST_SPEC: "not sleep"
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200462 TEST_PY_ID: "--id rtl8139_qemu"
463 <<: *buildman_and_testpy_dfn
464
465r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200466 variables:
467 TEST_PY_BD: "r2dplus"
Tom Rini5692b9c2024-10-15 12:28:26 -0600468 TEST_PY_TEST_SPEC: "not sleep"
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200469 TEST_PY_ID: "--id tulip_qemu"
470 <<: *buildman_and_testpy_dfn
471
Bin Meng0ae41062021-08-26 23:33:35 +0800472sifive_unleashed_sdcard test.py:
473 variables:
474 TEST_PY_BD: "sifive_unleashed"
Tom Rini5692b9c2024-10-15 12:28:26 -0600475 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng0ae41062021-08-26 23:33:35 +0800476 TEST_PY_ID: "--id sdcard_qemu"
477 <<: *buildman_and_testpy_dfn
478
479sifive_unleashed_spi-nor test.py:
480 variables:
481 TEST_PY_BD: "sifive_unleashed"
Tom Rini5692b9c2024-10-15 12:28:26 -0600482 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng0ae41062021-08-26 23:33:35 +0800483 TEST_PY_ID: "--id spi-nor_qemu"
484 <<: *buildman_and_testpy_dfn
485
Michal Simekf8834fd2020-02-13 15:03:29 +0100486xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400487 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100488 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400489 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400490 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400491 <<: *buildman_and_testpy_dfn
492
493xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400494 variables:
495 TEST_PY_BD: "xilinx_versal_virt"
496 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400497 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400498 <<: *buildman_and_testpy_dfn
499
500xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400501 variables:
502 TEST_PY_BD: "xtfpga"
503 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400504 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400505 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700506
507coreboot test.py:
508 variables:
509 TEST_PY_BD: "coreboot"
510 TEST_PY_TEST_SPEC: "not sleep"
511 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700512 <<: *buildman_and_testpy_dfn